#pragma once

#include "ofMain.h"
#include "ofxOpenCv.h"            //Cabealho do OpenCV
#include "ofxCv.h"

using namespace ofxCv;
using namespace cv;

class ofApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
		

		int							width, height, threshold;
		ofVideoGrabber				vidGrabber; // Componente do oF que pega a cmera. 
		ofxCvColorImage				colorImage;     // imagem capturada pela cmera
		ofxCvGrayscaleImage			grayBg, grayImage, grayDiff;// bg, cinza, diferena
		bool						bLearnBakground;
		ofxCv::TrackingColorMode	trackingColorMode;
		ofxCv::ContourFinder		contourFinder;
		ofColor						targetColor;
		ofPoint						apontador;

		ofPoint						encontraPontoMaisDistante();



};
